<div id="mainDiv">
  <div class="flex-container">
    <div class="flex-child">
      <button class="button-fill" (click)="openCommentText()" *ngIf="!isOpen">Napsat komentář</button>
    </div>

    <div class="flex-child">
      <button class="button-fill" (click)="showComments()" *ngIf="!commentsShown">Zobrazit komentář</button>
    </div>

  </div>

  <div *ngIf="isOpen">
    <div class="flex-container">
      <div class="flex-child-icon">
        <mat-icon class="icon-display">account_circle</mat-icon>
      </div>
    <form [formGroup]="form" class="form-inline" (submit)="addComment()">
      <div class="flex-child">
        <div><h3>{{loggedUser}}</h3></div>
        <angular-editor formControlName="content" id="commentcreation" [config]="commentConfig" required placeholder="Napište komentář"> </angular-editor>
    </div>
      <div class="flex-child-buttton">
        <button mat-flat-button color="primary" type="submit">Vytvořit</button>
      </div>
    </form>
    </div>
  </div>
</div>
